<?php
/**
 * @package GoAffPro
 * @version 1.3
 */
/*
Plugin Name: Goaffpro Affiliate Marketing
Plugin URI: http://wordpress.org/plugins/hello-dolly/
Description: Plugin for GoAffPro
Author: Goaffpro
Version: 1.3
Author URI: https://goaffpro.com/
*/
$appVersion = "1.3";
$javascript_url = 'https://api.goaffpro.com/loader.js?shop='.getShopDomain();
$checkout_widget_url = 'https://api.goaffpro.com/checkout_widget.js?shop='.getShopDomain();

$app_url = 'https://app.goaffpro.com/woocommerce/install';  //pass plugin version so that we can prompt to update from within
//$app_url = 'http://localhost:3000/woocommerce/install';  //pass plugin version so that we can prompt to update from within

//'https://app.goaffpro.com/woocommerce/install'
function getShopDomain(){
	return 	parse_url(get_site_url())['host'];
}

function goaffpro_client_footer(){
	global $javascript_url;
	echo "<script type='text/javascript' src='$javascript_url'></script>";
}
function goaffpro_checkout_footer($order_id){
	//$order = wc_get_order( $order_id ).get_data();
	//$goaffpro['goaffpro_order'] = $order;
	//$json = json_encode($goaffpro);
	global $checkout_widget_url;
	echo "<script type='text/javascript' src='$checkout_widget_url&woo_order_id=$order_id'></script>";
}


function options_menu(){
	add_plugins_page( 'GoAffProOptions', 'Goaffpro', 'manage_options', 'goaffpro_options', 'loadIframe' );
}

function loadIframe(){
	$shop = getShopDomain();
	$admin_email = urlencode(get_option('admin_email'));
	$blog = urlencode(get_option('blog_name'));
	global $app_url, $appVersion;
	echo '<style>iframe{width: 1px;min-width: 100%; height:800px}</style>';
	echo '<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/iframe-resizer/3.6.5/iframeResizer.min.js"></script>';
	echo '<iframe id="myIframe" scrolling="no"   src="'.$app_url.'?ver='.$appVersion.'&shop='.$shop.'&email='.$admin_email.'&blog='.$blog.'"></iframe>';
	echo '<script type="text/javascript">iFrameResize({heightCalculationMethod:"max", log:false, checkOrigin:false}, "#myIframe")</script>';
}


//inject javascript to track client
add_action('wp_footer', 'goaffpro_client_footer');
add_action('woocommerce_checkout_update_order_meta',function( $order_id, $posted ) {
    update_post_meta( $order_id, 'ref', $_COOKIE['ref']);
} , 10, 2);
add_action('woocommerce_thankyou', 'goaffpro_checkout_footer', 10, 1);
// admin side
add_action('admin_menu', 'options_menu');
?>